import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, SubTable } from 'model-util';
import { PayParkConfig } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-02 11:01
 */
interface PayParkConfigCU extends ConditionUtil<PayParkConfigCU> {
    ID: FieldUtil<PayParkConfigCU>;
    PARK_ID: FieldUtil<PayParkConfigCU>;
    PAY_CONFIG_ID: FieldUtil<PayParkConfigCU>;
    REMARK: FieldUtil<PayParkConfigCU>;
    STATE: FieldUtil<PayParkConfigCU>;
    CREATE_TIME: FieldUtil<PayParkConfigCU>;
    UPDATE_TIME: FieldUtil<PayParkConfigCU>;
}
declare class PayParkConfigMU extends TableUtilImpl<PayParkConfigCU, PayParkConfig> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: SubTable[];
    createConditionUtil(): PayParkConfigCU;
    static get ID(): FieldUtil<PayParkConfigCU>;
    static get PARK_ID(): FieldUtil<PayParkConfigCU>;
    static get PAY_CONFIG_ID(): FieldUtil<PayParkConfigCU>;
    static get REMARK(): FieldUtil<PayParkConfigCU>;
    static get STATE(): FieldUtil<PayParkConfigCU>;
    static get CREATE_TIME(): FieldUtil<PayParkConfigCU>;
    static get UPDATE_TIME(): FieldUtil<PayParkConfigCU>;
    get ID(): FieldUtil<PayParkConfigCU>;
    get PARK_ID(): FieldUtil<PayParkConfigCU>;
    get PAY_CONFIG_ID(): FieldUtil<PayParkConfigCU>;
    get REMARK(): FieldUtil<PayParkConfigCU>;
    get STATE(): FieldUtil<PayParkConfigCU>;
    get CREATE_TIME(): FieldUtil<PayParkConfigCU>;
    get UPDATE_TIME(): FieldUtil<PayParkConfigCU>;
}
export { PayParkConfigMU, PayParkConfigCU };
